<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Swarm: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Swarm
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_entity.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Entity Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_entity.html">Entity</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a5f7e1b098fc01a296bc2c3caebffebe8">_alive</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#ad9c50868dfb646a8c19dea777228f5d5">_angle</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a02cba0c0f559c507ed9d61a7052122e4">_avoidFriends</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#aae358f78d5603a227f9e6cbe7422c3b1">_blinktime</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a412bf87d8ee6816a1d6a74e583dee02a">_careful</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#ae1bfeb5c0b641203a75947f1d0cc200b">_carried</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a9769abaaf3ba30560672b1b36d1b5a1a">_carry</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a9a6544051f1f6ce7e73711d9e2796875">_cemetery</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a204cc2ea8616bf6773626047b7b923d7">_cemeteryX</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a5109bb128b23cde2994111ca606a17ed">_cemeteryY</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#ae38b78195c1dae00d9420f6598b98377">_cohesion</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a310d0e5d3f4283ce280b568035a6ea2a">_color</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a88a3051fd13b6533726f91223bf23137">_direction</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#ab3b2a7c13372caed17c4fb57bd1b5c93">_friends</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a161dc9b3d8e2b47c59e661dd2000cbf7">_height</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a9272426e8b23c182259f25120b378427">_isCarried</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#aac1f6ad5948bf693caeb6a846e0ba4ff">_isInCemetery</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a8941b2a5d2c7d796b321de579a98b42c">_isInfected</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a3f75e85f2de43893fe2b1c183de39cf7">_knowCemeteryLocation</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#ac5a854824c625f3657859e1b4ee94cdb">_risky</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a991d2e1db08f05b446fd0181cfe46d25">_speedX</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a4f242f453ea4e20de0db793ed7a7c988">_speedY</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a708433ca9095d2a08a7a245fbbdd3420">_thinkTimer</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a912bc7f0a27722d87d472fdcbe6f66cc">_timerBrush</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a9bd5f589512217ad573a6c7ffa8869e3">_wander</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a358f7a5e65c03415b36cc612c36e6f47">_width</a></td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a210cb32575d421aa6b3c41e7cebf351e">actualRect</a>() const</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a5bf60514251e4ebf68055f8baacdcb34">advance</a>(int phase)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a5c3e97c80ce5155c8e5789b15dd21964">avoidInfected</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a0911e61f5f5221e8c2423277ff006613">behaviour</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#aa7901c581d66e71511a199851c852f51">blink</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#ad12604d5ebd2c806308d59e51805fc4c">boundingRect</a>() const</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a7126f3bccb7f2ef87c6bd97d1a5fe574">calcAngle</a>(float speedX, float speedY)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#afe6a94511eb1b29ca5ce0e1f26d866d7">carry</a>(float vx, float vy)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a22ae0d7b09265df2ca82b7eb475cbe86">carry</a>(Entity *carried, int vx, int vy)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#aa009ae82632bb297443881dc6d9aa659">checkCemetery</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#aac385d8d40e430e6b3291049f1aa01f0">continuation</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#aedb90015d46f950fe793fe38af0b0c96">drop</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#ad1ec8741d85652e33c0f91d7d36319b6">Entity</a>(int coordX, int coordY)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a067f5364a361dc264290f0f689b2c1ad">getAverageDir</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a6a30f6840724fb0b3fffc0d05183d5a4">getAvoidDir</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#af5959e330ebafe1a3fed582b5c3901a8">getCohesion</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#ad4d70cf0198b84bde757adb52b78a1d3">getFriends</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a118cca65586b4532c2a68b9153e37a34">getIfAvoidFriends</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a3a9ff9233349eca13092ff1d280a8079">getIfCohesion</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a5c36894ec38046487eaf5ed89b9092ff">getIfDirection</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a58125570abc19062a26327d50d793550">getIfWander</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#aae054a357ba0160edc06f1d91ccbd948">getSpeedX</a>() const</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a762854bad0508837045a0252f0d76774">getSpeedY</a>() const</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#aecfa511c80f3f62aa2808b85a03403e0">infect</a>(bool infect)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#aaa69861ec8a7470f64f0a722c9130e1d">infectUpdate</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a2fc69b5350b5fcf634c8f8631ec119e3">initWay</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#abadcf5fb781cafa3a9779091e210b96f">isAlive</a>() const</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#afa34f4ad5a1c9874721170fd75f61ee2">isCarried</a>() const</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#ac8e4b6b1918cafef2426565b3777c1a3">isCarried</a>(bool carried)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#ae8ae9db0661beceaf7b6ee81dfb60727">isInCemetery</a>() const</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a7206c6077c84cb9f0193361cac68b4c4">isInCemetery</a>(bool in)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a818e9637c884c49f27a0451e230f992b">isInfected</a>() const</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a088d46392a34f547e0bb61e3434156b1">itemChange</a>(GraphicsItemChange change, const QVariant &amp;value)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#ad633b729a38a3fbf2d4b6035566b2902">knowCemeteryLocation</a>() const</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#aace1c46fc45eca600792dbca0b87b415">knowCemeteryLocation</a>(bool knowCemeteryLocation)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#ac02ad4a3686521b551ab82d5b0688b67">limit</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a9fa8e0513907981149155657dfe4d00e">magnitude</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a67dcb80ceb7702458dc58059f043525e">mourn</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a9c31cba51e980a1840b52a445416d110">paint</a>(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#adc3021850e78c1aaaef9f523dc0e307c">resetBrush</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#acb591b8bc60c6a41db5b34e4bdb416cb">setColor</a>(QColor color)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#abdfd28b7362c9b562a82743effc0f81a">toggleIfAvoidFriends</a>(bool avoidFriends)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#a0f355fa44c74dfea199a8eb228291259">toggleIfCohesion</a>(bool cohesion)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a8ac00123b88d2090e6f660ae11687f50">toggleIfDirection</a>(bool direction)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_entity.html#af2f21013aa2a642af09a34090ec45951">toggleIfWander</a>(bool wander)</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_entity.html#a0d230711cff82b53f1f72c154f3c12bc">wander</a>()</td><td class="entry"><a class="el" href="class_entity.html">Entity</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
